<?php


class awp_UI {

	public function __construct() {
		$this->notif  = get_option( 'awp_notifications' );
		$this->instances  = get_option( 'awp_instances' );
	}

    public function is_plugin_active( $plugin ) {
        return in_array( $plugin, (array) get_option( 'active_plugins', array() ) );
    }
    
	public function admin_page() {
		?>
        <div class="wrap" id="awp-wrap">
            <h1>
				<?php echo get_admin_page_title(); ?>
            </h1>
            <div class="form-wrapper">
				<div class="awp-tab-wrapper">
					<ul class="nav-tab-wrapper woo-nav-tab-wrapper">
					<li name="awp_notifications[notification-message]" class="nav-tab nav-tab-active"><a href="#notification"><?php _e('Notification Message', 'awp'); ?></a></li>
<li class="nav-tab"><a href="#followup"><?php _e('Follow-Up Message', 'awp'); ?></a></li>
<li class="nav-tab"><a href="#other"><?php _e('Other Integration', 'awp'); ?></a></li>
<li class="nav-tab"><a href="#help">
	
<?php _e('Help', 'awp'); ?></a></li>

					</ul>
                    <form method="post" action="options.php">
    					<div class="wp-tab-panels" id="notification">
    							<?php
    								$this->notification_settings();	
    							?>
    					</div>
    					<div class="wp-tab-panels" id="followup" style="display: none;">
    							<?php
    								$this->followup_settings();	
    							?>
    					</div>
        				<div class="wp-tab-panels" id="other" style="display: none;">
    							<?php
    								$this->other_settings();	
    							?>
    					</div>
    	            </form>
					<div class="wp-tab-panels" id="help" style="display: none;">
							<?php
    								$this->help_info();	
							?>
					</div>
				</div>				
				<div class="info">
							<?php
								$this->setup_info();	
							?>					
				</div>
			</div>
        </div>
		<?php
	}	

	public function notification_settings() {
	    if( $this->is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
    		$status_list = wc_get_order_statuses();
    		$status_list_temp = array();
    		$original_status = array( 
    			'pending',
    			'failed',
    			'on-hold',
    			'processing',
    			'completed',
    			'refunded',
    			'cancelled',
    		);
    		foreach( $status_list as $key => $status ) {
    			$status_name = str_replace( "wc-", "", $key );
    			if ( !in_array( $status_name, $original_status ) ) {
    				$status_list_temp[$status] = $status_name;
    			}
    		}
    		$status_list = $status_list_temp;	    
	    }
		?>
			<?php settings_fields( 'awp_storage_notifications' ); ?>
			<table class="form-table awp-table">
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[default_country]">
					<?php _e('Default Country Code:', 'awp'); ?>
				  </label>
				</th>
				<td>
  <input type="text" name="awp_notifications[default_country]" placeholder="<?php echo esc_attr__('Your country code', 'awp'); ?>" class="regular-text" value="<?php echo esc_attr(isset($this->notif['default_country']) ? $this->notif['default_country'] : ''); ?>">
  <p><em><?php echo esc_html__('Insert country code only if your customer is from a single country. This will remove the country detection library on the checkout page. Leave blank if your customer is from many countries.', 'awp'); ?></em></p>
</td>

                    <!---"escaped "--->
			  </tr>				
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[admin_onhold]">
					<?php _e('Admin Notification (On-Hold):', 'awp'); ?>
				  </label>
				</th>
				<td>
	<p class="awp-admin-number">
<input type="text" name="awp_notifications[admin_onhold_number]" placeholder="<?php echo esc_attr__('Admin Number with country code', 'awp'); ?>" class="admin_number regular-text admin_number" value="<?php echo esc_attr(isset($this->notif['admin_onhold_number']) ? $this->notif['admin_onhold_number'] : ''); ?>">

</p>
                    <!---"escaped "--->	
				    <textarea class="awp-emoji" id="awp_notifications[admin_onhold]" name="awp_notifications[admin_onhold]" cols="50" rows="5"><?php echo esc_textarea(isset($this->notif['admin_onhold']) ? $this->notif['admin_onhold'] : ''); ?></textarea>
				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="admin_onhold_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[admin_onhold_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text admin_onhold_img" value="<?php echo esc_attr(isset($this->notif['admin_onhold_img']) ? $this->notif['admin_onhold_img'] : ''); ?>">

                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>
			    </td>
			  </tr>								
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[customer_neworder]">
					<?php _e('Order - New (Thankyou Page):', 'awp'); ?>
				  </label>
				</th>
				<td>
				   <textarea class="awp-emoji" id="awp_notifications[customer_neworder]" name="awp_notifications[customer_neworder]" cols="50" rows="5"><?php echo isset($this->notif['customer_neworder']) ? esc_textarea($this->notif['customer_neworder']) : ''; ?></textarea>


				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="customer_neworder_img" value="Upload Image">
    				   <input type="text" name="awp_notifications[customer_neworder_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text customer_neworder_img" value="<?php echo esc_attr(isset($this->notif['customer_neworder_img']) ? $this->notif['customer_neworder_img'] : ''); ?>">

                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>
			    </td>
			  </tr>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[order_onhold]">
					<?php _e('Order - On Hold:', 'awp'); ?>
				  </label>
				</th>
				<td>
				   <textarea class="awp-emoji" id="awp_notifications[order_onhold]" name="awp_notifications[order_onhold]" cols="50" rows="5"><?php echo esc_textarea(isset($this->notif['order_onhold']) ? $this->notif['order_onhold'] : ''); ?></textarea>
<p class="awp-upload-img">
    <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="order_onhold_img" value="<?php esc_html_e('Upload Image'); ?>">
    <input type="text" name="awp_notifications[order_onhold_img]" placeholder="<?php esc_html_e('Image URL (Max 1 MB)'); ?>" class="image_url regular-text order_onhold_img" value="<?php echo esc_attr(isset($this->notif['order_onhold_img']) ? $this->notif['order_onhold_img'] : ''); ?>">
</p>

				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
			    </td>
			  </tr>				
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[order_processing]">
					<?php _e('Order - Processing:', 'awp'); ?>
				  </label>
				</th>
				<td>
				   <textarea class="awp-emoji" id="awp_notifications[order_processing]" name="awp_notifications[order_processing]" cols="50" rows="5"><?php echo esc_html(isset($this->notif['order_processing']) ? $this->notif['order_processing'] : ''); ?></textarea>
				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="order_processing_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[order_processing_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text order_processing_img" value="<?php echo esc_attr(isset($this->notif['order_processing_img']) ? $this->notif['order_processing_img'] : ''); ?>"> 
                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
			    </td>
			  </tr>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[order_completed]">
					<?php _e('Order - Completed:', 'awp'); ?>
				  </label>
				</th>
				<td>
				    <textarea class="awp-emoji" id="awp_notifications[order_completed]" name="awp_notifications[order_completed]" cols="50" rows="5"><?php echo isset($this->notif['order_completed']) ? esc_textarea($this->notif['order_completed']) : ''; ?></textarea>

				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="order_completed_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[order_completed_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text order_completed_img" value="<?php echo esc_attr(isset($this->notif['order_completed_img']) ? $this->notif['order_completed_img'] : ''); ?>">

                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
			    </td>
			  </tr>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[order_pending]">
					<?php _e('Order - Pending:', 'awp'); ?>
				  </label>
				</th>
				<td>
				    <textarea class="awp-emoji" id="awp_notifications[order_pending]" name="awp_notifications[order_pending]" cols="50" rows="5"><?php echo isset($this->notif['order_pending']) ? esc_textarea($this->notif['order_pending']) : ''; ?></textarea>
                         <p class="awp-upload-img">

                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="order_pending_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[order_pending_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text order_pending_img" value="<?php echo esc_attr(isset($this->notif['order_pending_img']) ? $this->notif['order_pending_img'] : ''); ?>">
                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
			    </td>
			  </tr>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[order_failed]">
					<?php _e('Order - Failed:', 'awp'); ?>
				  </label>
				</th>
				<td>
				   <textarea class="awp-emoji" id="awp_notifications[order_failed]" name="awp_notifications[order_failed]" cols="50" rows="5"><?php echo isset($this->notif['order_failed']) ? esc_textarea($this->notif['order_failed']) : ''; ?></textarea>
				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="order_failed_img" value="Upload Image">
    				   <input type="text" name="awp_notifications[order_failed_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text order_failed_img" value="<?php echo esc_attr(isset($this->notif['order_failed_img']) ? $this->notif['order_failed_img'] : ''); ?>">
                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
			    </td>
			  </tr>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[order_refunded]">
					<?php _e('Order - Refunded:', 'awp'); ?>
				  </label>
				</th>
				<td>
				    <textarea class="awp-emoji" id="awp_notifications[order_refunded]" name="awp_notifications[order_refunded]" cols="50" rows="5"><?php echo isset($this->notif['order_refunded']) ? esc_textarea($this->notif['order_refunded']) : ''; ?></textarea>
				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="order_refunded_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[order_refunded_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text order_refunded_img" value="<?php echo esc_attr(isset($this->notif['order_refunded_img']) ? $this->notif['order_refunded_img'] : ''); ?>">
                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
			    </td>
			  </tr>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[order_cancelled]">
					<?php _e('Order - Cancelled:', 'awp'); ?>
				  </label>
				</th>
				<td>
				    <textarea class="awp-emoji" id="awp_notifications[order_cancelled]" name="awp_notifications[order_cancelled]" cols="50" rows="5"><?php echo esc_textarea(isset($this->notif['order_cancelled']) ? $this->notif['order_cancelled'] : ''); ?></textarea>
				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="order_cancelled_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[order_cancelled_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text order_cancelled_img" value="<?php echo isset($this->notif['order_cancelled_img']) ? esc_attr($this->notif['order_cancelled_img']) : ''; ?>">
                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
			    </td>
			  </tr>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[order_note]">
					<?php _e('Order - Notes:', 'awp'); ?>
				  </label>
				</th>
				<td><textarea class="awp-emoji" id="awp_notifications[order_note]" name="awp_notifications[order_note]" cols="50" rows="5"><?php echo isset($this->notif['order_note']) ? esc_textarea($this->notif['order_note']) : ''; ?></textarea>

				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="order_note_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[order_note_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text order_note_img" value="<?php echo esc_attr( isset( $this->notif['order_note_img'] ) ? $this->notif['order_note_img'] : '' ); ?>">


                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>
				</td>
			  </tr>
			<?php if ( !empty( $status_list ) ) : ?>
			<?php foreach ( $status_list as $status_name => $custom_status ) : ?>
			<tr valign="top">
				<th scope="row">
					<label for="awp_notifications[order_<?php echo esc_attr($custom_status); ?>]">
                    <?php echo sprintf( __( 'Order - %s:', 'awp' ), esc_html($status_name) ); ?>
                    </label>
				</th>
				<td>
  <textarea class="awp-emoji" id="awp_notifications[order_<?php echo esc_html($custom_status); ?>]" name="awp_notifications[order_<?php echo esc_html($custom_status); ?>]" cols="50" rows="5"><?php echo esc_textarea( isset( $this->notif['order_'.esc_html($custom_status)] ) ? $this->notif['order_'.esc_html($custom_status)] : '' ); ?></textarea>

				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="order_<?php echo $custom_status; ?>_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[order_<?php echo esc_attr( $custom_status ); ?>_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text order_<?php echo esc_attr( $custom_status ); ?>_img" value="<?php echo esc_attr( isset( $this->notif['order_' . $custom_status . '_img'] ) ? $this->notif['order_' . $custom_status . '_img'] : '' ); ?>">

                    </p>
				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>					
				</td>
			</tr>
			<?php endforeach; ?>
			<?php endif; ?>			  
			</table>    	
			<footer class="awp-panel-footer">
                <input type="submit" class="button-primarywa"
                       value="<?php _e( 'Save Changes', 'awp' ); ?>">
            </footer>
		<?php
	}

	public function followup_settings() {
		?>
			<?php settings_fields( 'awp_storage_notifications' ); ?>
			  <!-- awp -->
			  
            <div class="tabs">
                
              <input type="radio" name="tabs" id="tabone" checked="checked">
              <label for="tabone"><?php _e('Follow Up On-Hold Order #1:', 'awp'); ?> </label>
              <div class="tab">
    			<table class="form-table awp-table">
    			  <tr valign="top">
    				<th scope="row"> <label for="awp_notifications[followup_onhold]">
    					<?php _e('Follow Up On-Hold Order #1:', 'awp'); ?>
    				  </label>
    				</th>
    				  <td>
    				     <textarea class="awp-emoji" id="awp_notifications[followup_onhold]" name="awp_notifications[followup_onhold]" cols="50" rows="5"><?php echo esc_textarea(isset($this->notif['followup_onhold']) ? $this->notif['followup_onhold'] : ''); ?></textarea>
    				    <p class="awp-upload-img">
                            <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="followup_onhold_img" value="Upload Image">
        				    <input type="text" name="awp_notifications[followup_onhold_img]" placeholder="<?php echo esc_html('Image URL (Max 1 MB)'); ?>" class="image_url regular-text followup_onhold_img" value="<?php echo esc_attr(isset($this->notif['followup_onhold_img']) ? $this->notif['followup_onhold_img'] : ''); ?>">

                        </p>
    				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
    			      </td>
    			  </tr>
    			  <tr valign="top" style="border-bottom: 1px solid #ccc;">
    				<th scope="row"> <label for="awp_notifications[followup_onhold_day]">
    					<?php _e('Follow Up On-Hold Order After:', 'awp'); ?>
    				  </label>
    				</th>
    				<td><input id="awp_notifications[followup_onhold_day]" name="awp_notifications[followup_onhold_day]" type="number" cols="50" rows="5" placeholder="24" value="<?php echo esc_attr(isset($this->notif['followup_onhold_day']) ? $this->notif['followup_onhold_day'] : ''); ?>"> Hour(s)</td>
    			  </tr>	
 			    </table>
              </div>			  
              
              <input type="radio" name="tabs" id="tabtwo">
              <label for="tabtwo"><?php _e('Follow Up On-Hold Order #2:', 'awp'); ?></label>
              <div class="tab">
    			<table class="form-table awp-table">
    			  <tr valign="top">
    				<th scope="row"> <label for="awp_notifications[followup_onhold_2]">
    					<?php _e('Follow Up On-Hold Order #2:', 'awp'); ?>
    				  </label>
    				</th>
    				  <td>
    				      <textarea class="awp-emoji" id="awp_notifications[followup_onhold_2]" name="awp_notifications[followup_onhold_2]" cols="50" rows="5"><?php echo esc_textarea(isset($this->notif['followup_onhold_2']) ? $this->notif['followup_onhold_2'] : ''); ?></textarea>

    				    <p class="awp-upload-img">
                            <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="followup_onhold_img_2" value="Upload Image">
        				    <input type="text" name="awp_notifications[followup_onhold_img_2]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text followup_onhold_img_2" value="<?php echo esc_attr(isset($this->notif['followup_onhold_img_2']) ? $this->notif['followup_onhold_img_2'] : ''); ?>">

                        </p>
    				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
    			      </td>
    			  </tr>
    			  
    			  <tr valign="top" style="border-bottom: 1px solid #ccc;">
    				<th scope="row"> <label for="awp_notifications[followup_onhold_day_2]">
    					<?php _e('Follow Up On-Hold Order #2 After:', 'awp'); ?>
    				  </label>
    				</th>
    				<td>
    <input id="awp_notifications[followup_onhold_day_2]" name="awp_notifications[followup_onhold_day_2]" type="number" cols="50" rows="5" placeholder="48" value="<?php echo esc_attr(isset($this->notif['followup_onhold_day_2']) ? $this->notif['followup_onhold_day_2'] : ''); ?>"> Hour(s)
</td>
    			  </tr>	
 			    </table>
              </div>			  
            
              <input type="radio" name="tabs" id="tabthree">
              <label for="tabthree"><?php _e('Follow Up On-Hold Order #3:', 'awp'); ?></label>
              <div class="tab">
    			<table class="form-table awp-table">
    			  <tr valign="top">
    				<th scope="row"> <label for="awp_notifications[followup_onhold_3]">
    					<?php _e('Follow Up On-Hold Order #3:', 'awp'); ?>
    				  </label>
    				</th>
    				  <td>
    				     <textarea class="awp-emoji" id="awp_notifications[followup_onhold_3]" name="awp_notifications[followup_onhold_3]" cols="50" rows="5"><?php echo esc_textarea(isset($this->notif['followup_onhold_3']) ? $this->notif['followup_onhold_3'] : ''); ?></textarea>

    				   <p class="awp-upload-img">
    <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="followup_onhold_img_3" value="Upload Image">
    <input type="text" name="awp_notifications[followup_onhold_img_3]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text followup_onhold_img_3" value="<?php echo esc_url(isset($this->notif['followup_onhold_img_3']) ? $this->notif['followup_onhold_img_3'] : ''); ?>">
</p>

    				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
    			      </td>
    			  </tr>
    			  <tr valign="top" style="border-bottom: 1px solid #ccc;">
    				<th scope="row"> <label for="awp_notifications[followup_onhold_day_3]">
    					<?php _e('Follow Up On-Hold Order #3 After:', 'awp'); ?>
    				  </label>
    				</th>
    				<td><input id="awp_notifications[followup_onhold_day_3]" name="awp_notifications[followup_onhold_day_3]" type="number" cols="50" rows="5" placeholder="72" value="<?php echo esc_attr(isset($this->notif['followup_onhold_day_3']) ? $this->notif['followup_onhold_day_3'] : ''); ?>"> Hour(s)</td>

    			  </tr>	
 			    </table>
              </div>			  
              
            </div>  
            
			<table class="form-table awp-table">
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[followup_aftersales]">
					<?php _e('Follow Up Completed Order:', 'awp'); ?>
				  </label>
				</th>
				  <td>
				      <textarea class="awp-emoji" id="awp_notifications[followup_aftersales]" name="awp_notifications[followup_aftersales]" cols="50" rows="5"><?php echo esc_textarea(isset($this->notif['followup_aftersales']) ? $this->notif['followup_aftersales'] : ''); ?></textarea>

<p class="awp-upload-img">
    <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="followup_aftersales_img" value="Upload Image">
    <input type="text" name="awp_notifications[followup_aftersales_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text followup_aftersales_img" value="<?php echo esc_url(isset($this->notif['followup_aftersales_img']) ? $this->notif['followup_aftersales_img'] : ''); ?>">
</p>

				    <p><em><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
			      </td>
			  </tr>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[followup_aftersales_day]">
					<?php _e('Follow Up Completed Order After:', 'awp'); ?>
				  </label>
				</th>
				<td><input id="awp_notifications[followup_aftersales_day]" name="awp_notifications[followup_aftersales_day]" type="number" cols="50" rows="5" placeholder="72" value="<?php echo esc_attr(isset($this->notif['followup_aftersales_day']) ? $this->notif['followup_aftersales_day'] : ''); ?>"> Hour(s)
			  </tr>					
			  <tr valign="top" style="border-top: 1px solid #ccc;">
				  <th colspan="2">
					  <?php echo sprintf( __('Enable abandoned cart notification by installing "<a href="%s">Cartbounty Abandoned Carts</a>" plugin', 'awp'), admin_url('plugin-install.php?s=Cartbounty%20Abandoned%20Cart&tab=search&type=term') ); ?>
				  </th>
			  </tr>					
			  <?php 
	            if( is_plugin_active( 'woo-save-abandoned-carts/cartbounty-abandoned-carts.php' ) ) {
			  ?>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[followup_abandoned]">
					<?php _e('Follow Up Abandoned Cart:', 'awp'); ?>
				  </label>
				</th>
				  <td>
				      <textarea class="awp-emoji" id="awp_notifications[followup_abandoned]" name="awp_notifications[followup_abandoned]" cols="50" rows="5"><?php echo isset($this->notif['followup_abandoned']) ? esc_textarea($this->notif['followup_abandoned']) : ''; ?></textarea>
				    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="followup_abandoned_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[followup_abandoned_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text followup_abandoned_img" value="<?php echo esc_attr(isset($this->notif['followup_abandoned_img']) ? $this->notif['followup_abandoned_img'] : ''); ?>">

                    </p>
    			    <p><em><b><?php _e('Available tags:', 'awp'); ?></b> %billing_first_name% %billing_last_name% %billing_email% %billing_phone% %product% %order_total% %currency%<br><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
			      </td>
			  </tr>
			  <tr valign="top">
				<th scope="row"> <label for="awp_notifications[followup_abandoned_day]">
					<?php _e('Follow Up Abandoned Cart After:', 'awp'); ?>
				  </label>
				</th>
				<td><input id="awp_notifications[followup_abandoned_day]" name="awp_notifications[followup_abandoned_day]" type="number" cols="50" rows="5" placeholder="24" value="<?php echo esc_attr(isset($this->notif['followup_abandoned_day']) ? $this->notif['followup_abandoned_day'] : ''); ?>"> Hour(s)</td>
			  </tr>					
			<?php 
		        } 
		    ?>  
			</table>    	
			<footer class="awp-panel-footer">
                <input type="submit" class="button-primarywa"
                       value="<?php _e( 'Save Changes', 'awp' ); ?>">
            </footer>
		<?php
	}

	public function other_settings() {
		?>			
    		<?php settings_fields( 'awp_storage_notifications' ); ?>
    		<table class="form-table awp-table">
    		  <!-- awp -->
    		  <tr valign="top">
    			<th scope="row">
    			    <label for="awp_notifications[edd_notification]">
    				<?php _e('Easy Digital Downloads - New Order Notification:', 'awp'); ?>
    			  </label>
    			</th>
    			  <td>
    			      <textarea class="awp-emoji" id="awp_notifications[edd_notification]" name="awp_notifications[edd_notification]" cols="50" rows="5"><?php echo esc_textarea(isset($this->notif['edd_notification']) ? $this->notif['edd_notification'] : ''); ?></textarea>
    			    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="edd_notification_img" value="<?php _e( 'Upload Image', 'awp' ); ?>">
    				    <input type="text" name="awp_notifications[edd_notification_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text edd_notification_img" value="<?php echo esc_attr(isset($this->notif['edd_notification_img']) ? $this->notif['edd_notification_img'] : ''); ?>">
                    </p>
    			    <p><em><b><?php _e('Available tags:', 'awp'); ?></b> %site_name% %product% %currency% %subtotal_price% %total_price% %payment_id% %payment_status% %payment_method% %date% %first_name% %last_name% %email%<br><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
    		      </td>
    		  </tr>
    		  <tr valign="top">
    			<th scope="row">
    			    <label for="awp_notifications[edd_notification_complete]">
    				<?php _e('Easy Digital Downloads - Complete Order Notification:', 'awp'); ?>
    			  </label>
    			</th>
    			  <td>
    			      <textarea class="awp-emoji" id="awp_notifications[edd_notification_complete]" name="awp_notifications[edd_notification_complete]" cols="50" rows="5"><?php echo esc_textarea(isset($this->notif['edd_notification_complete']) ? $this->notif['edd_notification_complete'] : ''); ?></textarea>
    			    <p class="awp-upload-img">
                        <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="edd_notification_complete_img" value="Upload Image">
    				    <input type="text" name="awp_notifications[edd_notification_complete_img]" placeholder="Image URL (Max 1 MB)" class="image_url regular-text edd_notification_complete_img" value="<?php echo esc_attr(isset($this->notif['edd_notification_complete_img']) ? $this->notif['edd_notification_complete_img'] : ''); ?>">
                    </p>
    			    <p><em><b><?php _e('Available tags:', 'awp'); ?></b> %site_name% %product% %currency% %subtotal_price% %total_price% %payment_id% %payment_status% %payment_method% %date% %first_name% %last_name% %email%<br><?php _e('Leave blank to deactivate. Spintax format example: {hi|hello|hola}', 'awp'); ?></em></p>				    
    		      </td>
    		  </tr>    		  
			</table>    	
			<footer class="awp-panel-footer">
                <input type="submit" class="button-primarywa"
                       value="<?php _e( 'Save Changes', 'awp' ); ?>">
            </footer>    		  
		<?php
	}	
	
	public function help_info() {
		?>
		<div class="awp-panel">
			<div class="awp-panel-body">
				<p style="margin-bottom: 10px;"><strong><?php _e( 'Below is list of available fields you can use on notification &amp; follow-up message:', 'awp' ); ?></strong></p>
				<div class="awp-item-body">
					<div class="awp-body-left">					
						<strong><?php _e( 'ORDER', 'awp' ); ?></strong><br />
						<strong><?php _e( 'Order ID:', 'awp' ); ?></strong> %id%<br />
						<strong><?php _e( 'Order Key:', 'awp' ); ?></strong> %order_key%<br />
						<strong><?php _e( 'Order Date:', 'awp' ); ?></strong> %order_date%<br />
						<strong><?php _e( 'Order Summary Link:', 'awp' ); ?></strong> %order_link%<br />
						
						<strong><?php _e( 'Product List:', 'awp' ); ?></strong> %product%<br />
						<strong><?php _e( 'Product Name:', 'awp' ); ?></strong> %product_name%<br />
						<strong><?php _e( 'Order Discount:', 'awp' ); ?></strong> %order_discount%<br />
						<strong><?php _e( 'Cart Discount:', 'awp' ); ?></strong> %cart_discount%<br />
						<strong><?php _e( 'Tax:', 'awp' ); ?></strong> %order_tax%<br />
						<strong><?php _e( 'Currency Symbol:', 'awp' ); ?></strong> %currency%<br />
						<strong><?php _e( 'Subtotal Amount:', 'awp' ); ?></strong> %order_subtotal%<br />
						<strong><?php _e( 'Total Amount:', 'awp' ); ?></strong> %order_total%<br />
						<strong><?php _e( 'Unique Transfer Code:', 'awp' ); ?></strong> %unique_transfer_code%<br />
						<br />
						<strong><?php _e( 'BILLING DETAILS', 'awp' ); ?></strong><br />
						<strong><?php _e( 'First Name:', 'awp' ); ?></strong> %billing_first_name%<br />
						<strong><?php _e( 'Last Name:', 'awp' ); ?></strong> %billing_last_name%<br />
						<strong><?php _e( 'Company:', 'awp' ); ?></strong> %billing_company%<br />
						<strong><?php _e( 'Address 1:', 'awp' ); ?></strong> %billing_address_1%<br />
						<strong><?php _e( 'Address 2:', 'awp' ); ?></strong> %billing_address_2%<br />
						<strong><?php _e( 'City:', 'awp' ); ?></strong> %billing_city%<br />
						<strong><?php _e( 'Postcode:', 'awp' ); ?></strong> %billing_postcode%<br />
						<strong><?php _e( 'Country:', 'awp' ); ?></strong> %billing_country%<br />
						<strong><?php _e( 'Province:', 'awp' ); ?></strong> %billing_state%<br />
						<strong><?php _e( 'Email:', 'awp' ); ?></strong> %billing_email%<br />
						<strong><?php _e( 'Phone:', 'awp' ); ?></strong> %billing_phone%<br />
						<strong><?php _e( 'Customer Note:', 'awp' ); ?></strong> %cust_note%<br />
					</div>
					<div class="awp-body-right">					
						<strong><?php _e( 'SHIP TO DIFFERENT ADDRESS', 'awp' ); ?></strong><br />
						<strong><?php _e( 'First Name:', 'awp' ); ?></strong> %shipping_first_name%<br />
						<strong><?php _e( 'Last Name:', 'awp' ); ?></strong> %shipping_last_name%<br />
						<strong><?php _e( 'Company:', 'awp' ); ?></strong> %shipping_company%<br />
						<strong><?php _e( 'Address 1:', 'awp' ); ?></strong> %shipping_address_1%<br />
						<strong><?php _e( 'Address 2:', 'awp' ); ?></strong> %shipping_address_2%<br />
						<strong><?php _e( 'City:', 'awp' ); ?></strong> %shipping_city%<br />
						<strong><?php _e( 'Postcode:', 'awp' ); ?></strong> %shipping_postcode%<br />
						<strong><?php _e( 'Country:', 'awp' ); ?></strong> %shipping_country%<br />
						<strong><?php _e( 'Province:', 'awp' ); ?></strong> %shipping_state%<br />
						<br />
						<strong><?php _e( 'PAYMENT &amp; SHIPPING', 'awp' ); ?></strong><br />
						<strong><?php _e( 'Shipping Method:', 'awp' ); ?></strong> %shipping_method%<br />
						<strong><?php _e( 'Shipping Cost:', 'awp' ); ?></strong> %order_shipping%<br />
						<strong><?php _e( 'Shipping Tax:', 'awp' ); ?></strong> %order_shipping_tax%<br />
						<strong><?php _e( 'Payment Method:', 'awp' ); ?></strong> %payment_method_title%<br />
						<strong><?php _e( 'Bank Account Info:', 'awp' ); ?></strong> %bacs_account%<br />
						<br />
						<strong><?php _e( 'INFO', 'awp' ); ?>INFO</strong><br />
						<strong><?php _e( 'Shop Name:', 'awp' ); ?></strong> %shop_name%<br />
						<strong><?php _e( 'Order Note:', 'awp' ); ?></strong> %note%<br />
						<strong><?php _e( 'Meta Key (custom):', 'awp' ); ?></strong> %meta_key_field%<br />
					</div>
				</div>
				<p style="margin-top: 15px; margin-bottom: 10px;"><strong><?php _e( 'Save Changes', 'awp' ); ?> <?php _e( 'You can test the service by sending WhatsApp message here:', 'awp' ); ?></strong></p>
				<form method="post">    
        			<table class="form-table awp-table">
        			  <tr valign="top">
        				<th scope="row"> <label for="awp_test_number">
        					<?php _e('To:', 'awp'); ?>
        				  </label>
        				</th>
        				<td><input id="awp_test_number" class="regular-text" name="awp_test_number" type="text"></td>
        			  </tr>	
        			  <tr valign="top">
        				<th scope="row"> <label for="awp_test_message">
        					<?php _e('Message:', 'awp'); ?>
        				  </label>
        				</th>
        				<td>
        				    <textarea class="awp-emoji" id="awp_test_message" name="awp_test_message" cols="50" rows="5"></textarea>
        				    <p class="awp-upload-img">
                                <input type="button" name="upload-btn" class="upload-btn button-secondarywa" data-id="awp-test-image" value="Upload Image">
            				    <input type="text" name="awp_test_image" placeholder="Image URL (Max 1 MB)" class="image_url regular-text awp-test-image">
                            </p>        				  
        				</td>
        			  </tr>
    			    </table>
    				<p class="submit awp-submit" style="padding-bottom:0;">
    				  <input type="submit" name="awp_send_test" class="button-primarywa"
    						   value="<?php _e( 'Send Message', 'awp' ); ?>">
    				</p>                    			    
			    </form>
			</div>
		</div>
		<?php
	}
	
	public function setup_info() {
		?>		
		<div class="info-body">
			<p class="head"><a href="https://awhats.com" title="awhats" target="_blank"><img style="width:50%;" src="<?php echo plugins_url( '/assets/img/logo.png' , __FILE__ ); ?>"></a></p>
		  <div>
			  <form method="post" action="options.php" style="margin-bottom:15px;">
				  <?php settings_fields( 'awp_storage_instances' ); ?>
				 
				 
				  
				  
				  <label for="awp_instances[instance_id]">
					<?php _e('Instance ID:', 'awp'); ?>
				  </label>
				  <input type="text" id="instance_id" name="awp_instances[instance_id]" placeholder="Your Instance ID" class="regular-text" value="<?php echo esc_attr(isset($this->instances['instance_id']) ? $this->instances['instance_id'] : ''); ?>">
<label for="awp_instances[access_token]">
					<?php _e('Access Token:', 'awp'); ?>
				  </label>
				  <input type="text" id="access_token" name="awp_instances[access_token]" placeholder="Your Access Token" class="regular-text" value="<?php echo esc_attr(isset($this->instances['access_token']) ? $this->instances['access_token'] : ''); ?>">
			  <input type="submit" class="button-primarywa"
					 value="<?php _e( 'Save ID', 'awp' ); ?>" style="margin-top:10px;">  
					                 <a href="https://app.awhats.com/whatsapp_profile" class="button-primarywao get-id-button" style="margin-top:10px;" target="_blank"><?php _e('Get Your ID', 'awp'); ?></a>

			  </form>
			  <?php if( isset($this->instances['access_token']) && isset($this->instances['instance_id']) ): ?>
			  <div class="instance-control">
				  <p><strong>Instance Control</strong></p>
				  <a href="#" class="button button-secondarywa ins-action" data-action="status"><?php _e('Status', 'awp'); ?></a>
				  <a href="#" class="button button-secondarywa ins-action" data-action="webhook"><?php _e('Set Webhook', 'awp'); ?></a>
				  <div class="instance-desc">
					  <strong>Control Description <span>▼</span></strong>
					  <div>
						  <strong><?php _e('Status', 'awp'); ?></strong><?php _e(': Check connection status. Only works if you have set a profile photo<br><strong>Set Webhook</strong>: Set webhook url to get all return values from Whatsapp, like connection status, incoming message, outgoing message, disconnected, change battery, etc', 'awp'); ?>
					  </div>
				  </div>	  
			  </div>
			  <div id="control-modal" class="modal"></div>
			  <?php endif; ?>
		  </div>
		</div>
		<?php
	}
	
	public function logs_page() {
        $logger = new awp_logger();
        $customer_logs = $logger->get_log_file("awpsend");
		?>
        <div class="wrap" id="awp-wrap">
            <h1>
				<?php echo get_admin_page_title(); ?>
                <a href="<?php echo admin_url('admin.php?page=awp-message-log&clear=1'); ?>" class="button log-clear">Clear Logs</a>
            </h1>
            <div class="form-wrapper">
				<div class="awp-tab-wrapper">
                    <table class="wp-list-table widefat fixed striped table-view-list posts table-message-logs" style="margin:10px 0;">
                        <thead>
                            <tr>
                                <th><?php _e('Date', 'awp'); ?></th>
                                <th><?php _e('WhatsApp Number', 'awp'); ?></th>
                                <th><?php _e('Message', 'awp'); ?></th>
                                <th><?php _e('Image Attachment', 'awp'); ?></th>
                                <th><?php _e('Status', 'awp'); ?></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php echo $customer_logs; ?>
                        </tbody>   
                    </table>
				</div>
				<div class="info">
					<?php
						$this->setup_info();	
					?>					
				</div>
			</div>
        </div>
		<?php
	}		
}